org.apache.commons.jexl.util.introspection

## Interface VelPropertyGet

All Known Implementing Classes:
  UberspectImpl.VelGetterImpl

    public interface VelPropertyGet

Interface defining a 'getter'. For uses when looking for resolution of property references $foo.bar

Since:
  1.0
Version:
  $Id: VelPropertyGet.java 584050 2007-10-12 05:27:50Z proyal $
Author:
  Geir Magnusson Jr.

### Method Summary

Methods
`java.lang.String` `getMethodName()` returns the method name used to return this 'property'.
`java.lang.Object` `invoke(java.lang.Object o)` invocation method - called when the 'get action' should be performed and a value returned.
`boolean` `isAlive()` Tell whether the method underlying this 'property' is alive by checking to see if represents a successful name resolution.
`boolean` `isCacheable()` specifies if this VelPropertyGet is cacheable and able to be reused for this class of object it was returned for.

### Method Detail

#### invoke

    java.lang.Object invoke(java.lang.Object o)
                            throws java.lang.Exception

invocation method - called when the 'get action' should be performed and a value returned.

Parameters:
  `o` - the object to get the property from.
Returns:
  the property value.
Throws:
  `java.lang.Exception` - on any error.

#### isCacheable

    boolean isCacheable()

specifies if this VelPropertyGet is cacheable and able to be reused for this class of object it was returned for.

Returns:
  true if can be reused for this class, false if not

#### getMethodName

    java.lang.String getMethodName()

returns the method name used to return this 'property'.

Returns:
  the method name.

#### isAlive

    boolean isAlive()

Tell whether the method underlying this 'property' is alive by checking to see if represents a successful name resolution.

Returns:
  boolean Whether 'property' is alive.